/*	htmldbHscroll 0.0.1 - jQuery Plugin for Oracle Application Express classic report
 *	Requires: jQuery 1.4.4
 *
 *	Date: 10.01.2011, Jari Laine
 *	Dual licensed under the MIT and GPL licenses:
 *	http://www.opensource.org/licenses/mit-license.php
 *	http://www.gnu.org/licenses/gpl.html
 */
;(function($){$.fn.htmldbHscroll=function(opt){
 opt=$.extend({
  width:400,
  columns:1,
  report:"table:first",
  parent:"td:first",
  dummyHeight:9
 },opt);
 return this.each(function(i){
  var tbl1=$(this).find(opt.report);
  var t=tbl1.parent(opt.parent).css({"vertical-align":"top","right":"0"});
  var r1=tbl1.find("tr");
  tbl1.find("th,td").css({"white-space":"nowrap"});
  var tbl2=tbl1.clone();
  var r2=tbl2.find("tr");
  t.after($("<td/>",{"css":{"vertical-align":"top","left":"0"}}).append(tbl2));
  r1.each(function(j){
   t=r2.eq(j);
   $(this).children(":gt("+(opt.columns-1)+")").remove();
   t.children(":lt("+opt.columns+")").remove();
   if($(this).outerHeight()>t.outerHeight()){
    t.height($(this).outerHeight());
    $(this).height($(this).outerHeight())
   }else{
    $(this).height(t.outerHeight());
    t.height(t.outerHeight())
   }
  });
  tbl2.wrap($("<div/>",{"css":{"vertical-align":"top","left":"0","overflow-x":"scroll","width":opt.width,"border-right":"1px solid #AAA"}}));
  t=tbl1.find("tr:last").clone();
  t.css({"height":"auto"}).children().text("\u00A0").css({"height":"auto","font-size":opt.dummyHeight});
  tbl1.append(t).wrap($("<div/>",{"css":{"vertical-align":"top","right":"0"}}))
 })
}})(jQuery);